Bug 49344 - Bugzilla forgets login if used through Squid proxy.
Bugzilla forgets login if used through Squid proxy.
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-18 09:38 EDT by ola
Modified: 2007-04-18 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-10 23:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ola 2001-07-18 09:38:25 EDT
Description of Problem:
The Bugzilla login mechanism doesn't work through a Squid web-proxy (and 
possibly others). Tested with IE 5.5, NS 4.77, KDE 2.1.

How Reproducible:

Steps to Reproduce:
1. Set the web browser to use the proxy.
2. Login in to bugzilla.
3. Go to a new bugzilla page.

Actual Results:
Bugzilla says "Not logged in, please log in"

Expected Results:
Login should be remembered.

Additional Information:
The option of bypassing the proxy is not available at most security 
consious sites.
Comment 1 Bill Nottingham 2001-07-18 10:52:00 EDT
It works for me.

Is your proxy set to squash cookies?
Comment 2 ola 2001-07-18 11:51:11 EDT
I don't think so. I'm prompted if I want to accept cookies while viewing 
several sites. However, I'm not prompted when logging in to bugzilla, so I 
expect that the problem somehow is related to cookie handling.

By the way, is there a reason for using cookies instead of WWW-Authenticate?
Comment 3 David Lawrence 2001-07-18 12:08:06 EDT
WWW-Authenticate uses a directory based form of authentification and also uses a
simple flat
file for password/username pairs. Bugzilla uses a complex database structure for
holding user information and currently has to use cookies for this to work. New,
more efficient forms, of authentification are being worked on.
Comment 4 Phil Schaffner 2001-11-03 10:07:39 EST
Junkbuster was eating my bugzilla cookies - added redhat.com to
/etc/junkbuster/cookiefile and things are better.

Running standard Enigma junkbuster and squid RPMS with junkbuster forwarding
to squid.
Comment 5 Jón Fairbairn 2003-06-04 15:37:55 EDT
Can this really be proxy related? Surely https doesn't go via proxy?

At any rate, I experience the "login not remembered" problem if I
access using netscape 6, but not if I access using lynx, whether or not I 
enable proxies in netscape or lynx. (fails either way with netscape, works
both ways with lynx).
Netscape is set to allow cookies, and if I get it to prompt, I get told that 
the site wants to modify an existing cookie (twice) so it must have
set them.
Comment 6 David Lawrence 2006-04-08 13:57:14 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 7 David Lawrence 2006-04-10 23:46:55 EDT
Setting configuration problem. Works for me from many different locations.

Note You need to log in before you can comment on or make changes to this bug.